Subject: bug#19178: closed (Re: bug#19178: 11.88; 11.88 Xemacs 11.88 problem with env and labels)

From: Uwe Brauer <[email-masked]>
Date: Tue, 25 Nov 2014 15:42:02 +0100

> From: Mosè Giordano <[email-masked]>
   > Subject: Re: bug#19178: 11.88; 11.88 Xemacs 11.88 problem with env and labels
   > To: [email-masked]
   > Date: Tue, 25 Nov 2014 15:29:59 +0100 (7 minutes, 22 seconds ago)
   > Message-ID: <[email-masked]>

   > Hi Uwe,

   > 2014-11-25 15:11 GMT+01:00 Uwe Brauer <[email-masked]>:

   > This is not a bug: `LaTeX-label' now has two arguments, the label to
   > be inserted and the type, either environment or section, so you have
   > to replace your call to `LaTeX-label' with
   >     (LaTeX-label environment 'environment)

   > Bye,
   > Mosè

Grrr, this breaks backwards[1] compatibility. Couldn't that have been optional?
Not sure whether to wrap the old code in a cond call 

 (if AUCTeX-version blab bla)

Are there other syntax changes? The issue is if I find a real bug and
need  urgently to write something up, I would use 11.87 but now once I
change the syntax I couldn't...

Uwe 

Footnotes:
[1]  or forward compatibility, whatever term you find more appropriate.